/* $Id: main.h 57 2011-03-06 22:47:59Z oh2gve $
 *
 * Copyright 2011 Tapio Aaltonen
 *
 * 
 * This file is part of Kello.
 *
 * Kello is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Kello is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Kello.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MAIN_H
#define MAIN_H


// Own stuff.
#include "window.h"

// Wx stuff.
#include <wx/app.h>


/// Main app class.
/**
 * Used to attach our code into wxwidgets framework.
 */
class KelloApp: public wxApp
{
public:

	// The usual ones.
	KelloApp();
	virtual ~KelloApp();

	/// Initializations.
	virtual bool OnInit();

	/// Cleanups.
	virtual int OnExit();

private:

	// Mainwindow.
	Window* window_;
};


#endif // MAIN_H
